View all methods
accountSettings.info
Get account-level authentication and session settings.
Facts
| Method | GET https://api.getdx.com/accountSettings.info |
| Required scope | accountSettings:read |
Arguments
| Name | Type | Description |
|---|---|---|
token |
Token |
Auth token passed as an HTTP header. |
Example request
This is a typical request:
curl -sS "https://api.getdx.com/accountSettings.info" \
-H "Authorization: Bearer xxxx-xxxxxxxxx-xxxx" \
-H "Accept: application/json"
Example response
This is a typical success response for SAML configuration:
{
"ok": true,
"sso": [
{
"name": "Okta",
"protocol": "saml",
"login_required": true,
"jit_provisioning_enabled": false,
"metadata_uri": "https://idp.example.com/metadata"
}
],
"session": {
"timeout_hours": 48
}
}
This is a typical success response for OIDC configuration:
{
"ok": true,
"sso": [
{
"name": "Google",
"protocol": "oidc",
"login_required": true,
"jit_provisioning_enabled": false,
"issuer_url": "https://accounts.example.com",
"client_id": "client_abc"
}
],
"session": {
"timeout_hours": 48
}
}
Response fields
| Field | Type | Description |
|---|---|---|
ok |
Boolean |
Indicates whether the request succeeded. |
sso |
Array |
Active SSO provider configurations for the account. |
session |
Object |
Session settings for the account. |
session.timeout_hours |
Integer |
Session timeout in hours. |
Each object in sso includes:
| Field | Type | Description |
|---|---|---|
name |
String |
Identity provider display name. |
protocol |
String |
Authentication protocol: saml or oidc. |
login_required |
Boolean |
Whether login through this provider is required. |
jit_provisioning_enabled |
Boolean |
Whether just-in-time provisioning is enabled. JIT provisioning is only allowed for email-based accounts in DX. |
metadata_uri |
String |
SAML metadata URL (present for SAML providers). |
issuer_url |
String |
OIDC issuer URL (present for OIDC providers). |
client_id |
String |
OIDC client ID (present for OIDC providers). |
Errors
This table lists the expected errors that this method could return. However, other errors can be returned in the case where the service is down or other unexpected factors affect processing. Callers should always check the value of the ok param in the response.
| Error | Description |
|---|---|
not_authed |
No authentication token provided. |
not_authorized |
The bearer token does not include accountSettings:read. |